# Enum MultipleGradientPaint.ColorSpaceType

java.lang.Object
java.lang.Enum<MultipleGradientPaint.ColorSpaceType>
com.codename1.ui.MultipleGradientPaint.ColorSpaceType

All Implemented Interfaces:
  `Comparable<MultipleGradientPaint.ColorSpaceType>`

Enclosing class:
  `MultipleGradientPaint`

public static enum MultipleGradientPaint.ColorSpaceType extends Enum<MultipleGradientPaint.ColorSpaceType>
Colors spaces for gradients.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINEAR_RGB`
  `SRGB`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MultipleGradientPaint.ColorSpaceType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultipleGradientPaint.ColorSpaceType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINEAR_RGB

    public static final MultipleGradientPaint.ColorSpaceType LINEAR_RGB

  - ### SRGB

    public static final MultipleGradientPaint.ColorSpaceType SRGB

- ## Method Details

  - ### values

    public static MultipleGradientPaint.ColorSpaceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultipleGradientPaint.ColorSpaceType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null